import { CorporateIdentityNumberReturn, CorporateIdentityOptions, PersonalNumberOptions, PersonalNumberReturn } from "./types";
export declare function parse(input: string | number, options?: PersonalNumberOptions): PersonalNumberReturn;
export declare function validate(input: string | number, options?: Omit<PersonalNumberOptions, "normaliseFormat">): boolean;
export declare function normalise(input: string | number, options?: PersonalNumberOptions): string | undefined;
export declare function parseCIN(input: string | number, options?: CorporateIdentityOptions): CorporateIdentityNumberReturn | PersonalNumberReturn;
export declare function validateCIN(input: string | number): boolean;
export declare function normaliseCIN(input: string | number, options?: CorporateIdentityOptions): string | undefined;
declare const _default: {
    parse: typeof parse;
    validate: typeof validate;
    normalise: typeof normalise;
    parseCIN: typeof parseCIN;
    validateCIN: typeof validateCIN;
    normaliseCIN: typeof normaliseCIN;
};
export default _default;
export * from "./types";
