export interface CorporateIdentityOptions {
    shortNormalisation?: boolean;
}
export interface CorporateIdentityNumberReturn {
    valid: boolean;
    type?: CorporateIdentity;
    input: string;
    normalised?: string;
    reason?: CorporateIdentityNumberErrors;
}
export declare enum CorporateIdentityNumberErrors {
    InputType = "INPUT_TYPE",
    Format = "FORMAT",
    Checksum = "CHECKSUM",
    GroupNumber = "GROUP_NUMBER",
    ValidationNumber = "ORGANISATIONS_VALIDATION_NUMBER",
    NumberIdentifer = "ORGANISATIONS_NUMBER_IDENTIFIER"
}
export declare enum CorporateIdentity {
    DeadEstate = "D\u00F6dsbon",
    Government = "Stat, landsting, kommuner, f\u00F6rsamlingar",
    Foreign = "Utl\u00E4ndska f\u00F6retag som bedriver n\u00E4ringsverksamhet eller \u00E4ger fastigheter i Sverige",
    LimitedCompany = "Aktiebolag",
    SimpleCompany = "Enkelt bolag",
    EconomicAssociation = "Ekonomiska f\u00F6reningar",
    NonProfitOrganization = "Ideella f\u00F6reningar och stiftelser",
    TradingCompany = "Handelsbolag, kommanditbolag och enkla bolag"
}
